package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.BzscSczhzxscZb;
import com.qianhe.domain.BzscSczhzxscCb;

/**
 * 标准手册-生产指挥中心管理手册-主Mapper接口
 * 
 * @author qianhe
 * @date 2024-09-19
 */
public interface BzscSczhzxscZbMapper 
{
    /**
     * 查询标准手册-生产指挥中心管理手册-主
     * 
     * @param ID 标准手册-生产指挥中心管理手册-主主键
     * @return 标准手册-生产指挥中心管理手册-主
     */
    public BzscSczhzxscZb selectBzscSczhzxscZbByID(Long ID);

    /**
     * 查询标准手册-生产指挥中心管理手册-主列表
     * 
     * @param bzscSczhzxscZb 标准手册-生产指挥中心管理手册-主
     * @return 标准手册-生产指挥中心管理手册-主集合
     */
    public List<BzscSczhzxscZb> selectBzscSczhzxscZbList(BzscSczhzxscZb bzscSczhzxscZb);

    /**
     * 新增标准手册-生产指挥中心管理手册-主
     * 
     * @param bzscSczhzxscZb 标准手册-生产指挥中心管理手册-主
     * @return 结果
     */
    public int insertBzscSczhzxscZb(BzscSczhzxscZb bzscSczhzxscZb);

    /**
     * 修改标准手册-生产指挥中心管理手册-主
     * 
     * @param bzscSczhzxscZb 标准手册-生产指挥中心管理手册-主
     * @return 结果
     */
    public int updateBzscSczhzxscZb(BzscSczhzxscZb bzscSczhzxscZb);

    /**
     * 删除标准手册-生产指挥中心管理手册-主
     * 
     * @param ID 标准手册-生产指挥中心管理手册-主主键
     * @return 结果
     */
    public int deleteBzscSczhzxscZbByID(Long ID);

    /**
     * 批量删除标准手册-生产指挥中心管理手册-主
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBzscSczhzxscZbByIDs(Long[] IDs);

    /**
     * 批量删除标准手册-生产指挥中心管理手册-从
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBzscSczhzxscCbByZbIds(Long[] IDs);
    
    /**
     * 批量新增标准手册-生产指挥中心管理手册-从
     * 
     * @param bzscSczhzxscCbList 标准手册-生产指挥中心管理手册-从列表
     * @return 结果
     */
    public int batchBzscSczhzxscCb(List<BzscSczhzxscCb> bzscSczhzxscCbList);
    

    /**
     * 通过标准手册-生产指挥中心管理手册-主主键删除标准手册-生产指挥中心管理手册-从信息
     * 
     * @param ID 标准手册-生产指挥中心管理手册-主ID
     * @return 结果
     */
    public int deleteBzscSczhzxscCbByZbId(Long ID);

    List<BzscSczhzxscCb> selectBzscSczhzxscCbByID(Long ID);


    int insertBzscSczhzxscCb(BzscSczhzxscCb bzscSczhzxscCb);


}
